## plasma-workspace 6.5.0+p24.04+vstable+git20251028.0310

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(plasma-workspace)
set(PROJECT_VERSION "6.5.0")
string(REPLACE "." ";" VERSION_LIST ${PROJECT_VERSION})
list(GET VERSION_LIST 0 PROJECT_VERSION_MAJOR)
list(GET VERSION_LIST 1 PROJECT_VERSION_MINOR)
list(GET VERSION_LIST 2 PROJECT_VERSION_PATCH)

set(PROJECT_DEP_VERSION "6.5.0")
set(QT_MIN_VERSION "6.9.0")
set(KF6_MIN_VERSION "6.18.0")
option(PLASMA_X11_DEFAULT_SESSION "Use X11 session by default for Plasma" OFF)
option(INSTALL_SDDM_WAYLAND_SESSION OFF)
option(WITH_X11 "Build with X11 support. Building without is experimental" ON)

set(CMAKE_CXX_STANDARD 23)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMMarkNonGuiExecutable)
include(CMakePackageConfigHelpers)
include(WriteBasicConfigVersionFile)
include(CheckIncludeFiles)
include(FeatureSummary)
include(ECMOptionalAddSubdirectory)
include(ECMQtDeclareLoggingCategory)
include(ECMQueryQt)
include(ECMInstallIcons)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(ECMConfiguredInstall)
include(ECMGenerateDBusServiceFile)
include(ECMFindQmlModule)
include(ECMGenerateExportHeader)
include(ECMGenerateQmlTypes)
include(ECMDeprecationSettings)
include(ECMQmlModule)

find_package(PkgConfig REQUIRED)
pkg_check_modules(PipeWire QUIET IMPORTED_TARGET libpipewire-0.3)
add_feature_info(PipeWire PipeWire_FOUND "Required for camera indicator applet and Wayland screencasting testing")
set(BUILD_CAMERAINDICATOR_DEFAULT OFF)
if(PipeWire_FOUND)
    set(BUILD_CAMERAINDICATOR_DEFAULT ON)
endif()
option(BUILD_CAMERAINDICATOR "Build the camera indicator Plasma applet" ${BUILD_CAMERAINDICATOR_DEFAULT})

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
                    Concurrent Core5Compat DBus Location Network Positioning Quick QuickWidgets
                    ShaderTools Sql Svg Widgets)

if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
    find_package(Qt6GuiPrivate ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
    find_package(Qt6WaylandClientPrivate ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
endif()

find_package(QCoro6 REQUIRED COMPONENTS Core)
find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS
                    Archive Auth CoreAddons Crash DBusAddons Declarative GlobalAccel GuiAddons
                    Holidays I18n IconThemes IdleTime ItemModels KCMUtils KDED KIO NewStuff
                    Notifications NotifyConfig Package Parts Prison Runner StatusNotifierItem
                    Svg TextEditor TextWidgets Wallet ColorScheme
                    OPTIONAL_COMPONENTS DocTools)
find_package(Plasma5Support ${PROJECT_DEP_VERSION} REQUIRED)
find_package(Plasma ${PROJECT_DEP_VERSION} REQUIRED)
find_package(PlasmaQuick ${PROJECT_DEP_VERSION} REQUIRED)
find_package(KWayland ${PROJECT_DEP_VERSION} REQUIRED)
find_package(PlasmaActivities ${PROJECT_DEP_VERSION} REQUIRED)
find_package(PlasmaActivitiesStats ${PROJECT_DEP_VERSION} REQUIRED)
find_package(KSysGuard ${PROJECT_DEP_VERSION} CONFIG)
set_package_properties(KSysGuard PROPERTIES
    DESCRIPTION "Components to monitor the system"
    TYPE REQUIRED
)
find_package(KF6Screen ${PROJECT_DEP_VERSION} CONFIG REQUIRED)
find_package(LayerShellQt ${PROJECT_DEP_VERSION} CONFIG REQUIRED)

if (BUILD_TESTING)
    include(ECMAddTests)
    find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Test QuickTest)
    find_package(Qt6 REQUIRED CONFIG COMPONENTS WaylandCompositor)
endif()

find_package(KF6Kirigami ${KF6_MIN_VERSION} CONFIG)
set_package_properties(KF6Kirigami PROPERTIES
    DESCRIPTION "A QtQuick based components set"
    TYPE RUNTIME
)

find_package(KF6KirigamiAddons 0.10.0 CONFIG)
set_package_properties(KF6KirigamiAddons PROPERTIES
    DESCRIPTION "Extra controls for Kirigami applications"
    PURPOSE "Required at runtime for the User KCM"
    TYPE RUNTIME
)

find_package(KF6NetworkManagerQt ${KF6_MIN_VERSION} CONFIG)
set_package_properties(KF6NetworkManagerQt PROPERTIES
    DESCRIPTION "Qt wrapper for NetworkManager API"
    PURPOSE "Needed for location-based time zone changes."
    TYPE OPTIONAL
)

find_package(KF6QuickCharts ${KF6_MIN_VERSION} CONFIG)
set_package_properties(KF6QuickCharts PROPERTIES
    DESCRIPTION "Used for rendering charts"
    TYPE RUNTIME
)

find_package(KF6UserFeedback)

find_package(KF6Baloo)
set_package_properties(KF6Baloo PROPERTIES DESCRIPTION "File Searching"
                       TYPE RECOMMENDED
                       PURPOSE "Needed for the File Search runner."
                      )

pkg_check_modules(QALCULATE libqalculate>2.0 IMPORTED_TARGET)
set_package_properties(QALCULATE PROPERTIES
   DESCRIPTION "A library for calculations, used in runners/calculator"
   TYPE REQUIRED)
pkg_check_modules(DBus dbus-1 REQUIRED IMPORTED_TARGET)

find_package(KWinDBusInterface CONFIG REQUIRED)
find_package(ScreenSaverDBusInterface CONFIG REQUIRED)

# Used in kcm_autostart
pkg_check_modules(SYSTEMD "systemd")

find_package(Phonon4Qt6 4.6.60 REQUIRED NO_MODULE)
set_package_properties(Phonon4Qt6 PROPERTIES
   DESCRIPTION "Qt-based audio library"
   TYPE REQUIRED)

find_package(Canberra)
set_package_properties(Canberra PROPERTIES
    PURPOSE "Needed to preview notification sounds"
    TYPE REQUIRED)

find_package(Breeze ${PROJECT_DEP_VERSION} CONFIG)
set_package_properties(Breeze PROPERTIES
                       TYPE OPTIONAL
                       PURPOSE "For setting the default window decoration plugin")

find_package(ZLIB)
set_package_properties(ZLIB PROPERTIES DESCRIPTION "Support for gzip compressed files and data streams"
                       URL "https://www.zlib.net"
                       TYPE REQUIRED
                      )

find_package(Fontconfig)
set_package_properties(Fontconfig PROPERTIES DESCRIPTION "Font access configuration library"
                       URL "https://www.freedesktop.org/wiki/Software/fontconfig"
                       TYPE OPTIONAL
                       PURPOSE "Needed to build font configuration and installation tools"
                      )

find_package(PackageKitQt6)
set_package_properties(PackageKitQt6
        PROPERTIES DESCRIPTION "Software Manager integration"
        TYPE OPTIONAL
        PURPOSE "Used to install additional language packages on demand and integrate for offline updates"
)
option(PACKAGEKIT_OFFLINE_UPDATES "Integrate with PackageKit for offline updates" OFF)
add_feature_info(PACKAGEKIT_OFFLINE_UPDATES PackageKitQt6_FOUND "Integrate with PackageKit for offline updates")
set(PACKAGEKIT_OFFLINE_UPDATES ${PackageKitQt6_FOUND})

if(PLASMA_X11_DEFAULT_SESSION)
    set(WITH_X11 1)
endif()

if(WITH_X11)
    find_package(X11)
    set_package_properties(X11 PROPERTIES DESCRIPTION "X11 libraries"
                            URL "https://www.x.org"
                            TYPE REQUIRED
                            PURPOSE "Required for building the X11 based workspace")
    function(check_X11_lib _lib)
        if (NOT TARGET X11::${_lib})
            message(SEND_ERROR "Required component ${_lib} of X11 was not found")
        endif()
    endfunction()
    check_X11_lib(ICE)
    check_X11_lib(SM)
    check_X11_lib(X11)
    check_X11_lib(Xau)
    check_X11_lib(Xcursor)
    check_X11_lib(Xfixes)
    check_X11_lib(Xft)
    check_X11_lib(Xrender)
    check_X11_lib(Xtst)

    set(HAVE_X11 1)
    set(HAVE_XCURSOR 1)
    set(HAVE_XFIXES 1)

    find_package(XCB MODULE REQUIRED COMPONENTS AUX XCB CURSOR RANDR IMAGE)
    set_package_properties(XCB PROPERTIES TYPE REQUIRED)

    find_package(KScreenLocker ${PROJECT_DEP_VERSION} REQUIRED)
else()
    set(HAVE_X11 0)
    set(HAVE_XCURSOR 0)
    set(HAVE_XFIXES 0)
endif()

# FreeBSD systems might have libxcrypt but their shadow equivalent doesn't use it
if(CMAKE_SYSTEM_NAME MATCHES "Linux")
    pkg_check_modules(libxcrypt libxcrypt>=4)
    if(libxcrypt_FOUND)
        set(HAVE_CRYPT_GENSALT true)
    endif()
endif()

find_package(Qt6WaylandClient COMPONENTS Private)
find_package(PlasmaWaylandProtocols 1.6 REQUIRED)
find_package(Wayland REQUIRED COMPONENTS Client Server) # Server is used in autotests

if(FONTCONFIG_FOUND)
  # kfontinst
  find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS PrintSupport)
endif()

find_package(AppStreamQt 1.0) # 1.0 will be the first release to support Qt6
set_package_properties(AppStreamQt PROPERTIES DESCRIPTION "Access metadata for listing available software"
                       URL "https://www.freedesktop.org/wiki/Distributions/AppStream/"
                       TYPE OPTIONAL)

if(AppStreamQt_FOUND)
    set(HAVE_APPSTREAMQT true)
endif()

find_package(UDev REQUIRED)
set_package_properties(UDev PROPERTIES
    PURPOSE "Allows to play notification sounds when (un)plugging devices"
    TYPE REQUIRED
)

# Region & Language KCM
if(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
    # notes for packager:
    # This is the macro definition part of Region & Language KCM
    # Depending on your distributions, the KCM behaves differently
    # For Ubuntu based systems, this KCM uses "check-language-support" and PackageKit
    # to install relevant fonts and packages
    # You should enable option UBUNTU_PACKAGEKIT (it's auto detected though)
    #
    # For Glibc systems that don't come with pre-generated locales, such as ArchLinux
    # This KCM uses "/etc/locale.gen" and "locale-gen" to generate configured locales
    # and display a note to let user install fonts themselves if required
    # You shouldn't required to do anything in this case
    #
    # For Glibc systems that come with pre-generated locales, such as Fedora and openSUSE
    # a note to let user install fonts themselves if required is displayed
    # You should enable GLIBC_LOCALE_PREGENERATED option
    #
    # For non-glibc systems such as VoidLinux and *BSD
    # A warning of configure locale manually is displayed (although the relevant ENVs are set by Plasma)
    # You should disable GLIBC_LOCALE_GEN option


    # find out if the build system is Ubuntu based
    if (${CMAKE_VERSION} VERSION_LESS 3.22)
        find_program(LSB_RELEASE_EXEC lsb_release)
        execute_process(COMMAND ${LSB_RELEASE_EXEC} -is
            OUTPUT_VARIABLE DISTRO_NAME
            OUTPUT_STRIP_TRAILING_WHITESPACE
        )
        string(TOLOWER "${DISTRO_NAME}" DISTRO_NAME)
    else()
        cmake_host_system_information(RESULT DISTRO_NAME QUERY DISTRIB_ID)
        cmake_host_system_information(RESULT DISTRO_ID_LIKE QUERY DISTRIB_ID_LIKE)
    endif()

    string(COMPARE EQUAL "ubuntu" "${DISTRO_NAME}" SYSTEM_UBUNTU_BASED)
    string(FIND "${DISTRO_ID_LIKE}" "ubuntu" FINDINDEX)
    if(NOT (FINDINDEX EQUAL -1))
        set(SYSTEM_UBUNTU_BASED ON)
        find_program(LANGUAGE_SELECTOR_COMMON "check-language-support" DOC "Required for ubuntu-based distros to generate locale")
    endif()

    set(UBUNTU_LOCALE FALSE)
    option(UBUNTU_PACKAGEKIT "Install required package for language on Ubuntu Based systems, PackageKitQt6 required" ${SYSTEM_UBUNTU_BASED})
    if(UBUNTU_PACKAGEKIT)
        set(UBUNTU_LOCALE ${PackageKitQt6_FOUND})
    endif()

    set(GLIBC_LOCALE_GEN_DEFAULT ON)
    if(UBUNTU_LOCALE)
        set(GLIBC_LOCALE_GEN_DEFAULT OFF)
    endif()

    option(GLIBC_LOCALE_GEN "Auto generate Glibc locale with locale-gen and /etc/locale.gen" ${GLIBC_LOCALE_GEN_DEFAULT})
    if(GLIBC_LOCALE_GEN AND UBUNTU_LOCALE)
        message(FATAL_ERROR "UBUNTU_PACKAGEKIT and GLIBC_LOCALE_GEN both enabled, only UBUNTU_PACKEGKIT will be used")
    endif()
    if(GLIBC_LOCALE_GEN)
        set(GLIBC_LOCALE_AUTO TRUE)
    endif()
    set(REGION_LANG_GENERATE_LOCALE_HELPER FALSE)
    if(UBUNTU_LOCALE OR GLIBC_LOCALE_GEN)
        set(REGION_LANG_GENERATE_LOCALE_HELPER TRUE)
    endif()

    option(GLIBC_LOCALE_PREGENERATED "Systems that don't require locale generation. Such as openSUSE or Fedora" OFF)

=== startkde/plasma-session/CMakeLists.txt ===
add_subdirectory(plasma-autostart-list)

set(plasma_session_SRCS
    main.cpp
    autostart.cpp
    startup.cpp
    sessiontrack.cpp
    signalhandler.cpp
)

ecm_qt_declare_logging_category(plasma_session_SRCS  HEADER debug.h IDENTIFIER PLASMA_SESSION CATEGORY_NAME org.kde.plasma.session
    DESCRIPTION "plasma session"
    EXPORT PLASMAWORKSPACE
)

qt_add_dbus_adaptor( plasma_session_SRCS org.kde.Startup.xml startup.h Startup)

set(kcminit_adaptor ${plasma-workspace_SOURCE_DIR}/startkde/kcminit/main.h)
set(kcminit_xml ${CMAKE_CURRENT_BINARY_DIR}/org.kde.KCMinit.xml)
qt_generate_dbus_interface( ${kcminit_adaptor} ${kcminit_xml} )
qt_add_dbus_interface( plasma_session_SRCS ${kcminit_xml} kcminit_interface )

qt_add_dbus_interface( plasma_session_SRCS ../../ksmserver/org.kde.KSMServerInterface.xml ksmserver_interface )

add_executable(plasma_session ${plasma_session_SRCS})

target_include_directories(plasma_session PRIVATE ${CMAKE_SOURCE_DIR}/startkde ${CMAKE_BINARY_DIR}/startkde)
target_link_libraries(plasma_session
    startplasma
    KF6::KIOCore
    KF6::KIOGui
    PlasmaAutostart
)

install(TARGETS plasma_session ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
plasma-workspace (4:6.5.0+p24.04+vstable+git20251028.0310-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 03:10:11 +0000

plasma-workspace (4:6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 06:34:38 +0000

=== debian/control ===
Source: plasma-workspace
Section: kde
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: appmenu-gtk2-module,
               appmenu-gtk3-module,
               breeze-dev,
               cmake,
               debhelper-compat (= 13),
               dh-apparmor,
               kf6-baloo-dev,
               kf6-extra-cmake-modules,
               kf6-kcmutils-dev,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-kdeclarative-dev,
               kf6-kded-dev,
               kf6-kdesu-dev,
               kf6-kdoctools-dev,
               kf6-kfilemetadata-dev,
               kf6-kglobalaccel-dev,
               kf6-kholidays-dev,
               kf6-ki18n-dev,
               kf6-kidletime-dev,
               kf6-kio-dev,
               kf6-kirigami-addons-dev,
               kf6-kirigami2-dev,
               kf6-kitemmodels-dev,
               kf6-knewstuff-dev,
               kf6-knotifications-dev,
               kf6-knotifyconfig-dev,
               kf6-kpackage-dev,
               kf6-kparts-dev,
               kf6-kpeople-dev,
               kf6-kquickcharts-dev,
               kf6-krunner-dev,
               kf6-kstatusnotifieritem-dev,
               kf6-ksvg-dev,
               kf6-ktexteditor-dev,
               kf6-ktextwidgets-dev,
               kf6-kunitconversion-dev,
               kf6-kuserfeedback-dev,
               kf6-kwallet-dev,
               kf6-networkmanager-qt-dev,
               kf6-prison-dev,
               kf6-solid-dev,
               kf6-syntax-highlighting-dev,
               knighttime-dev,
               kscreenlocker-dev,
               kwayland-dev,
               kwin-dev,
               libappstreamqt-dev,
               libboost-dev,
               libcanberra-dev,
               libcups2-dev,
               libdbus-1-dev,
               libdbusmenu-qt6-dev,
               libdrm-dev,
               libgps-dev,
               libicu-dev,
               libkexiv2-dev,
               libkf6screen-dev,
               libkpipewire-dev,
               libksysguard-dev,
               liblayershellqtinterface-dev,
               libmpfr-dev,
               libnm-dev | libnm-glib-dev,
               libpackagekitqt6-dev,
               libpam0g-dev,
               libphonon4qt6-dev,
               libphonon4qt6experimental-dev,
               libpipewire-0.3-dev,
               libplasma-dev,
               libpolkit-qt6-1-dev,
               libqalculate-dev,
               libraw1394-dev,
               libsm-dev,
               libsystemd-dev,
               libudev-dev,
               libusb-dev,
               libwayland-dev,
               libx11-dev,
               libx11-xcb-dev,
               libxapian-dev,
               libxcb-composite0-dev,
               libxcb-damage0-dev,
               libxcb-image0-dev,
               libxcb-keysyms1-dev,
               libxcb-randr0-dev,
               libxcb-shm0-dev,
               libxcb-util-dev | libxcb-util0-dev,
               libxcb1-dev,
               libxcursor-dev,
               libxft-dev,
               libxi-dev,
               libxkbcommon-dev,
               libxkbfile-dev,
               libxrandr-dev,
               libxrender-dev,
               libxtst-dev,
               lm-sensors,
               pkg-kde-tools-neon,
               pkgconf,
               plasma-activities-dev,
               plasma-activities-stats-dev,
               plasma-wayland-protocols,
               plasma5support-dev,
               qcoro-qt6-dev,
               qt6-5compat-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-location-dev,
               qt6-phonon-dev,
               qt6-positioning-dev,
               qt6-sensors-dev,
               qt6-svg-dev,
               qt6-tools-dev,
               qt6-wayland-dev,
               qt6-wayland-dev-tools,
               wayland-protocols,
               xcb-proto
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/kde/workspace/plasma-workspace
Vcs-Git: https://invent.kde.org/neon/kde/plasma-workspace.git
Vcs-Browser: https://invent.kde.org/neon/kde/plasma-workspace
Maintainer: Neon CI <neon@kde.org>

Package: plasma-workspace
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: accountsservice,
         appmenu-gtk2-module,
         appmenu-gtk3-module,
         dbus-x11,
         drkonqi,
         gdb-minimal | gdb,
         iso-codes,
         kactivitymanagerd,
         kf6-frameworkintegration,
         kf6-kactivities,
         kf6-kcmutils,
         kf6-kcoreaddons,
         kf6-kdeclarative,
         kf6-kded,
         kf6-kglobalaccel,
         kf6-kholidays,
         kf6-kio,
         kf6-kirigami-addons,
         kf6-kirigami2,
         kf6-knewstuff,
         kf6-knotifications,
         kf6-kquickcharts,
         kf6-kservice,
         kf6-kwindowsystem,
         kf6-prison,
         kf6-qqc2-desktop-style,
         kio-extras,
         kwin-common,
         kwin-wayland,
         language-selector-common,
         layer-shell-qt,
         libdbusmenu-qt6-2,
         libplasma6,
         milou,
         ocean-sound-theme,
         plasma-activities,
         plasma-integration,
         plasma-wayland-protocols,
         plasma5support (>= 6.5.0),
         python3:any,
         qml6-module-org-kde-ksysguard,
         qml6-module-org-kde-pipewire,
         qml6-module-org-kde-userfeedback,
         qml6-module-qt-labs-folderlistmodel,
         qml6-module-qt5compat-graphicaleffects,
         qml6-module-qtquick-virtualkeyboard,
         qt6-declarative,
         qt6-location,
         qt6-tools,
         qt6-wayland,
         udisks2,
         x11-utils,
         x11-xserver-utils,
         xdg-desktop-portal-kde,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: libtaskmanager6-abi-1
Replaces: libcolorcorrect5,
          libkfontinst5,
          libkfontinstui5,
          libkmpris5,
          libkworkspace6-6,
          libnotificationmanager1,
          libplasma-geolocation-interface5,
          libtaskmanager6,
          libtaskmanager6abi1,
          libweather-ion7,
          plasma-desktop (<< 4:6.3.80),
          plasma-workspace-data,
          plasma-workspace-dbg,
          plasma-workspace-dev (<< 4:6.0.0-1),
          plasma-workspace-wayland,
          sddm-theme-breeze,
          xdg-desktop-portal-kde (<< 6.2.0)
Breaks: plasma-desktop (<< 4:6.3.80),
        plasma-workspace-dev (<< 4:6.0.0-1),
        plasma5support (<< 6.5.0),
        powerdevil-data (<< 4:6.1.0),
        xdg-desktop-portal-kde (<< 6.2.0)
Recommends: kde-cli-tools, libpam-kwallet5, plasma-workspace-wallpapers
Description: Plasma Workspace for KF6
 Plasma Workspace for KF6. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 .
 THIS WILL REMOVE YOUR KDE Plasma 5.

Package: plasma-workspace-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: kf6-kcoreaddons-dev,
         kf6-kitemmodels-dev,
         kf6-kwindowsystem-dev,
         kwin-dev,
         libksysguard-dev,
         libplasma-dev,
         plasma-workspace (= ${binary:Version}),
         plasma5support-dev (>= 6.5.0),
         qt6-base-dev,
         qt6-declarative-dev,
         ${misc:Depends}
Conflicts: kde-workspace-dev
Breaks: plasma5support-dev (<< 6.5.0)
Description: Plasma Workspace for KF6 devel files
 Plasma Workspace for KF6. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 .
 This package contains the development files.

Package: libcolorcorrect5
Architecture: all
Depends: plasma-workspace, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkfontinst5
Architecture: all
Depends: plasma-workspace, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkfontinstui5
Architecture: all
Depends: plasma-workspace, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkmpris5
Architecture: all
Depends: plasma-workspace, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkworkspace5-5
Architecture: all
Depends: libkworkspace6-6, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkworkspace6-6
Architecture: all
Depends: plasma-workspace, ${misc:Depends}
Replaces: libkworkspace5-5
Description: Dummy transitional
 Transitional dummy package

Package: libnotificationmanager1
Architecture: all
Depends: plasma-workspace, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libplasma-geolocation-interface5
Architecture: all
Depends: plasma-workspace, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libweather-ion7
Architecture: all
Depends: plasma-workspace, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libtaskmanager6abi1
Architecture: all
Depends: libtaskmanager6, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libtaskmanager6
Architecture: all
Depends: plasma-workspace, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: plasma-workspace-data
Architecture: all
Depends: plasma-workspace, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: plasma-workspace-dbg
Architecture: all
Depends: plasma-workspace, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: plasma-workspace-wayland
Architecture: all
Depends: plasma-workspace, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: sddm-theme-breeze
Architecture: all
Depends: plasma-workspace, sddm, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

=== debian/rules ===
#!/usr/bin/make -f
# SPDX-License-Identifier: LGPL-2.0-or-later
# SPDX-FileCopyrightText: 2023 Jonathan Riddell <jr@jriddell.org>

%:
	dh $@ --with kf6 --buildsystem kf6
	
override_dh_install:
	mkdir -p debian/tmp/etc/apparmor.d/local/
	cp apparmor/local/plasmashell debian/tmp/etc/apparmor.d/local/plasmashell
	dh_install

execute_after_dh_install:
	dh_apparmor --profile-name=plasmashell -pplasma-workspace

## plasma-workspace 6.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(plasma-workspace)
-set(PROJECT_VERSION "6.5.0")
+set(PROJECT_VERSION "6.5.1")
 string(REPLACE "." ";" VERSION_LIST ${PROJECT_VERSION})
 list(GET VERSION_LIST 0 PROJECT_VERSION_MAJOR)
 list(GET VERSION_LIST 1 PROJECT_VERSION_MINOR)
 list(GET VERSION_LIST 2 PROJECT_VERSION_PATCH)
 
-set(PROJECT_DEP_VERSION "6.5.0")
+set(PROJECT_DEP_VERSION "6.5.1")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 option(PLASMA_X11_DEFAULT_SESSION "Use X11 session by default for Plasma" OFF)

=== applets/CMakeLists.txt ===
plasma_install_package(activitybar org.kde.plasma.activitybar)
add_subdirectory(icon)

plasma_install_package(analog-clock org.kde.plasma.analogclock)
plasma_install_package(manage-inputmethod org.kde.plasma.manage-inputmethod)

add_subdirectory(appmenu)
if (KSysGuard_FOUND)
    add_subdirectory(systemmonitor)
    add_subdirectory(devicenotifier)
endif()
add_subdirectory(calendar)
add_subdirectory(digital-clock)
add_subdirectory(keyboardindicator)
add_subdirectory(kicker)
add_subdirectory(lock_logout)
add_subdirectory(mediacontroller)
add_subdirectory(panelspacer)
if(BUILD_CAMERAINDICATOR)
    add_subdirectory(cameraindicator)
endif()
plasma_install_package(clipboard org.kde.plasma.clipboard)

add_subdirectory(notifications)
add_subdirectory(systemtray)

=== doc/CMakeLists.txt ===
ecm_optional_add_subdirectory(klipper)
ecm_optional_add_subdirectory(kcontrol)
ecm_optional_add_subdirectory(PolicyKit-kde)

=== solidautoeject/CMakeLists.txt ===
########### next target ###############
add_definitions(-DTRANSLATION_DOMAIN=\"solidautoeject\")

set(kded_solidautoeject_SRCS
   solidautoeject.cpp solidautoeject.h
)

kcoreaddons_add_plugin(solidautoeject SOURCES ${kded_solidautoeject_SRCS} INSTALL_NAMESPACE "kf6/kded")
target_link_libraries(solidautoeject KF6::Solid KF6::DBusAddons KF6::CoreAddons)

=== themes/CMakeLists.txt ===

set( themes_RC
    qtcde.themerc
    qtcleanlooks.themerc
    qtmotif.themerc
    qtplastique.themerc
    qtwindows.themerc
)

if (X11_FOUND)
  set( themes_RC ${themes_RC}
      qtgtk.themerc
  )
endif ()

########### install files ###############

install( FILES ${themes_RC}  DESTINATION  ${KDE_INSTALL_DATADIR}/kstyle/themes )

=== applets/cameraindicator/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Fushan Wen <qydwhotmail@gmail.com>
# SPDX-License-Identifier: BSD-3-Clause
plasma_install_package(package org.kde.plasma.cameraindicator)
if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()

=== components/batterycontrol/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024 Bohdan Onofriichuk <bogdan.onofriuchuk@gmail.com>
# SPDX-License-Identifier: BSD-3-Clause

set(batterycontrol_SRCS
        batterycontrol.cpp batterycontrol.h
        batteriesnamesmonitor_p.cpp batteriesnamesmonitor_p.h
)

add_definitions(-DTRANSLATION_DOMAIN=\"batterycontrol\")

ecm_qt_declare_logging_category(batterycontrol_SRCS
        HEADER "batterycontrol_debug.h"
        IDENTIFIER "COMPONENTS::BATTERYCONTROL"
        CATEGORY_NAME org.kde.batterycontrol
        DEFAULT_SEVERITY Warning
        DESCRIPTION "Battery List Model" EXPORT "COMPONENTS::BATTERYCONTROL"
)

add_library(batterycontrol SHARED ${batterycontrol_SRCS})

generate_export_header(batterycontrol)

target_include_directories(batterycontrol PUBLIC ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR})

target_link_libraries(batterycontrol
        PUBLIC
        Qt::Core
        Qt::Qml
        KF6::Solid
        PRIVATE
        Qt::DBus
        KF6::Service
        KF6::I18n
)

set_target_properties(batterycontrol PROPERTIES
        VERSION ${PROJECT_VERSION}
        SOVERSION ${PROJECT_VERSION_MAJOR})

ecm_add_qml_module(batterycontrol URI org.kde.plasma.private.battery GENERATE_PLUGIN_SOURCE)
ecm_finalize_qml_module(batterycontrol)

install(TARGETS batterycontrol ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

ecm_qt_install_logging_categories(
        EXPORT "COMPONENTS::BATTERYCONTROL"
        FILE components/batterycontrol.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

=== components/dialogs/CMakeLists.txt ===
ecm_add_qml_module(systemdialogs
    URI "org.kde.plasma.workspace.dialogs"
    GENERATE_PLUGIN_SOURCE
    VERSION 1.0
    QML_FILES SystemDialog.qml
    )

ecm_finalize_qml_module(systemdialogs)

=== kcms/feedback/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kcm_feedback\")

kcmutils_add_qml_kcm(kcm_feedback SOURCES feedback.cpp feedback.h)

kcmutils_generate_module_data(kcm_feedback
    MODULE_DATA_HEADER feedbackdata.h
    MODULE_DATA_CLASS_NAME FeedbackData
    SETTINGS_HEADERS feedbacksettings.h
    SETTINGS_CLASSES FeedbackSettings
)
kconfig_add_kcfg_files(kcm_feedback feedbacksettings.kcfgc GENERATE_MOC)
target_link_libraries(kcm_feedback PRIVATE
    KF6::I18n
    KF6::KCMUtils
    KF6::KCMUtilsQuick
    KF6::UserFeedbackCore
)

ecm_qt_declare_logging_category(kcm_feedback
    HEADER kcm_feedback_debug.h
    IDENTIFIER KCM_FEEDBACK_DEBUG
    CATEGORY_NAME org.kde.plasma.kcm_feedback
    DESCRIPTION "kcm feedback"
    EXPORT PLASMAWORKSPACE
)

install(FILES feedbacksettings.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

=== kcms/lookandfeel/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kcm_lookandfeel\")

add_subdirectory(kded)
add_subdirectory(tool)

kcmutils_add_qml_kcm(kcm_lookandfeel)
target_sources(kcm_lookandfeel PRIVATE
    kcm.cpp
)
target_link_libraries(kcm_lookandfeel PRIVATE
    KF6::ConfigGui
    KF6::KCMUtils
    KF6::KCMUtilsQuick
    KF6::NewStuffCore
    PW::KLookAndFeel
)

kcmutils_generate_module_data(kcm_lookandfeel
    MODULE_DATA_HEADER lookandfeeldata.h
    MODULE_DATA_CLASS_NAME LookAndFeelData
    SETTINGS_HEADERS lookandfeelsettings.h
    SETTINGS_CLASSES LookAndFeelSettings
)

kconfig_add_kcfg_files(kcm_lookandfeel lookandfeelsettings.kcfgc GENERATE_MOC)

install(FILES lookandfeelsettings.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})
install(FILES lookandfeel.knsrc DESTINATION ${KDE_INSTALL_KNSRCDIR})

=== kcms/region_language/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2022 Han Young <hanyoung@protonmail.com>

add_definitions(-DTRANSLATION_DOMAIN=\"kcm_regionandlang\")
################## Set sources files #################
set(kcm_regionandlang_example_SRCS
    exampleutility.cpp exampleutility.h
)
add_library(kcm_regionandlang_example_static STATIC ${kcm_regionandlang_example_SRCS})
set_property(TARGET kcm_regionandlang_example_static PROPERTY POSITION_INDEPENDENT_CODE ON)
target_link_libraries(kcm_regionandlang_example_static
    KF6::I18n
    KF6::CoreAddons
)
set(kcm_regionandlang_PART_SRCS
    settingtype.h
    kcmregionandlang.cpp kcmregionandlang.h
    localelistmodel.cpp localelistmodel.h
    optionsmodel.cpp optionsmodel.h
    languagelistmodel.cpp languagelistmodel.h
    localegenerator.cpp localegenerator.h
    localegeneratorbase.cpp localegeneratorbase.h
    localegeneratorgeneratedglibc.cpp localegeneratorgeneratedglibc.h
    regionandlangsettings.cpp regionandlangsettings.h
    binarydialectmodel.h binarydialectmodel.cpp
    glibclocaleconstructor.h glibclocaleconstructor.cpp
)
kconfig_add_kcfg_files(kcm_regionandlang_PART_SRCS regionandlangsettingsbase.kcfgc GENERATE_MOC)

if(GLIBC_LOCALE_GEN)
    set(kcm_regionandlang_PART_SRCS
        ${kcm_regionandlang_PART_SRCS}
        localegeneratorglibc.cpp localegeneratorglibc.h)
endif()
if(UBUNTU_LOCALE)
    set(kcm_regionandlang_PART_SRCS
        ${kcm_regionandlang_PART_SRCS}
        localegeneratorubuntu.cpp localegeneratorubuntu.h)
endif()
ecm_qt_declare_logging_category(
    kcm_regionandlang_PART_SRCS
    HEADER kcm_regionandlang_debug.h
    IDENTIFIER KCM_REGIONANDLANG
    CATEGORY_NAME org.kde.kcm_regionandlang
    DESCRIPTION "Region and Language KCM"
    EXPORT kcm_regionandlang
)

################ Build helper and add additional source files #############
if(REGION_LANG_GENERATE_LOCALE_HELPER)
    add_subdirectory("localegenhelper")
    qt_generate_dbus_interface(
        ${CMAKE_CURRENT_SOURCE_DIR}/localegenhelper/localegenhelper.h
        org.kde.localegenhelper.xml
        OPTIONS -s -m
    )
    qt_add_dbus_interface(kcm_regionandlang_PART_SRCS ${CMAKE_CURRENT_BINARY_DIR}/org.kde.localegenhelper.xml localegenhelperinterface)
endif()

#################### Declare target #######################
kcmutils_add_qml_kcm(kcm_regionandlang SOURCES ${kcm_regionandlang_PART_SRCS})

ecm_qt_install_logging_categories(
    EXPORT kcm_regionandlang
    DESTINATION "${KDE_INSTALL_LOGGINGCATEGORIESDIR}"
)

################# Link libraries ####################
target_link_libraries(kcm_regionandlang PRIVATE
    kcm_regionandlang_example_static
    Qt::Core
    Qt::DBus
    KF6::I18n
    KF6::KCMUtils
    KF6::KCMUtilsQuick
    KF6::ItemModels
    KF6::GuiAddons
    Qt::Quick
)
if(UBUNTU_LOCALE)
    target_link_libraries(kcm_regionandlang PRIVATE PK::packagekitqt6)
endif()

########### unit tests ##############
if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

=== libklookandfeel/autotests/CMakeLists.txt ===
add_definitions(-DKSMSERVER_UNIT_TEST)
include(ECMMarkAsTest)

include_directories(${CMAKE_CURRENT_BINARY_DIR}/..)
add_executable(lookandfeelmanagertest lookandfeelmanagertest.cpp)
target_link_libraries(lookandfeelmanagertest PW::KLookAndFeel Qt::Test)

add_test(NAME lookandfeelmanagertest COMMAND lookandfeelmanagertest)
ecm_mark_as_test(lookandfeelmanagertest)

=== debian/changelog ===
plasma-workspace (4:6.5.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.1).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Oct 2025 23:18:42 +0100

=== debian/control ===
Source: plasma-workspace
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-sodeps,
               appmenu-gtk3-module,
               breeze-dev (>= 4:6.5.1~),
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               kded6-dev (>= 6.18.0~),
               kirigami-addons-dev (>= 1.0.0~),
               knighttime-dev (>= 6.5.1~),
               kscreenlocker-dev (>= 6.5.1~),
               kwayland-dev (>= 4:6.5.1~),
               kwin-dev (>= 4:6.4.91~),
               libappstreamqt-dev (>= 1.0.0~),
               libcanberra-dev,
               libdbus-1-dev,
               libdrm-dev,
               libfontconfig-dev,
               libice-dev,
               libicu-dev,
               libkexiv2qt6-dev,
               libkf6archive-dev (>= 6.18.0~),
               libkf6auth-dev (>= 6.18.0~),
               libkf6baloo-dev (>= 6.2.0~),
               libkf6colorscheme-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6crash-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6declarative-dev (>= 6.18.0~),
               libkf6doctools-dev (>= 6.18.0~),
               libkf6globalaccel-dev (>= 6.18.0~),
               libkf6guiaddons-dev (>= 6.18.0~),
               libkf6holidays-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6iconthemes-dev (>= 6.18.0~),
               libkf6idletime-dev (>= 6.18.0~),
               libkf6itemmodels-dev (>= 6.18.0~),
               libkf6kcmutils-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6networkmanagerqt-dev (>= 6.18.0~),
               libkf6newstuff-dev (>= 6.18.0~),
               libkf6notifications-dev (>= 6.18.0~),
               libkf6notifyconfig-dev (>= 6.18.0~),
               libkf6package-dev (>= 6.18.0~),
               libkf6parts-dev (>= 6.18.0~),
               libkf6prison-dev (>= 6.18.0~),
               libkf6runner-dev (>= 6.18.0~),
               libkf6statusnotifieritem-dev (>= 6.18.0~),
               libkf6svg-dev (>= 6.18.0~),
               libkf6texteditor-dev (>= 6.18.0~),
               libkf6textwidgets-dev (>= 6.18.0~),
               libkf6unitconversion-dev (>= 6.10.0~),
               libkf6userfeedback-dev (>= 6.2.0~),
               libkf6wallet-dev (>= 6.18.0~),
               libkirigami-dev (>= 6.18.0~),
               libkpipewire-dev (>= 6.4.91~),
               libkscreen-dev (>= 4:6.5.1~),
               libksysguard-dev (>= 4:6.5.1~),
               liblayershellqtinterface-dev (>= 6.5.1~),
               libpackagekitqt6-dev,
               libphonon4qt6-dev (>= 4:4.6.60~),
               libphonon4qt6experimental-dev,
               libpipewire-0.3-dev,
               libplasma-dev (>= 6.5.1~),
               libplasma5support-dev (>= 4:6.5.1~),
               libplasmaactivities-dev (>= 6.5.1~),
               libplasmaactivitiesstats-dev (>= 6.5.1~),
               libpolkit-qt6-1-dev,
               libqalculate-dev (>= 2.0~),
               libquickcharts-dev (>= 6.18.0~),
               libsm-dev,
               libsystemd-dev,
               libudev-dev,
               libwayland-dev,
               libx11-dev,
               libxcb-composite0-dev,
               libxcb-cursor-dev,
               libxcb-damage0-dev,
               libxcb-image0-dev,
               libxcb-randr0-dev,
               libxcb-shape0-dev,
               libxcb-util-dev,
               libxcb-xfixes0-dev,
               libxcb1-dev,
               libxcursor-dev,
               libxfixes-dev,
               libxft-dev,
               libxrender-dev,
               libxtst-dev,
               pkgconf,
               plasma-wayland-protocols (>= 1.6~),
               qcoro-qt6-dev,
               qml6-module-org-kde-prison,
               qt6-5compat-dev (>= 6.9.0~),
               qt6-base-dev (>= 6.9.0~),
               qt6-base-private-dev,
               qt6-declarative-dev (>= 6.9.0~),
               qt6-declarative-private-dev,
               qt6-location-dev (>= 6.9.0~),
               qt6-positioning-dev (>= 6.9.0~),
               qt6-shadertools-dev (>= 6.9.0~),
               qt6-svg-dev (>= 6.9.0~),
               qt6-wayland-dev (>= 6.6.0~),
               qt6-wayland-private-dev (>= 6.6.0~),
               systemd-dev,
               zlib1g-dev,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/plasma-workspace
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-workspace
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-workspace.git

Package: libbatterycontrol6
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Plasma Workspace battery control library
 Plasma Workspace is used as the base for Plasma Desktop, Mobile, and
 Bigscreen. It contains shared KCM configuration screens, applets as
 well as multiple libraries.
 .
 This package contains the battery control library files.

Package: libklipper6
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends},
Recommends: plasma-workspace-doc (>= ${source:Version}),
Description: Plasma Workspaces Klipper library
 Plasma Workspace is used as the base for Plasma Desktop, Mobile, and
 Bigscreen. It contains shared KCM configuration screens, applets as
 well as multiple libraries.
 .
 Klipper is the Plasma clipboard utility. It stores clipboard
 history, and allows you to link clipboard contents to application
 actions.
 .
 This package contains the Klipper library files.

Package: libklookandfeel6
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Plasma Workspace look and feel helper library
 This tiny library provides shared helpers for determining whether a global
 theme is light or dark. It is used by the look and feel and landing page
 configuration modules.
 .
 In the future, the library can include other global theme related features.
 For example, perhaps the look and feel manager could live in it too.
 .
 This package contains Plasma Workspace libklookandfeel library files.

Package: libkmpris6
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Plasma Workspace MPRIS library
 Plasma Workspace is used as the base for Plasma Desktop, Mobile, and
 Bigscreen. It contains shared KCM configuration screens, applets as
 well as multiple libraries.
 .
 This library can be used to control Media Player Remote Interfacing
 Specification-compatible media players.
 .
 This package contains Plasma Workspace MPRIS library files.

Package: libkfontinst6
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Plasma Workspace fonts installation library
 Plasma Workspace is used as the base for Plasma Desktop, Mobile, and
 Bigscreen. It contains shared KCM configuration screens, applets as
 well as multiple libraries.
 .
 This package contains the fonts installation library files.

Package: libkfontinstui6
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Plasma Workspace UI components for fonts installation
 Plasma Workspace is used as the base for Plasma Desktop, Mobile, and
 Bigscreen. It contains shared KCM configuration screens, applets as
 well as multiple libraries.
 .
 This library provides UI components to manage fonts installation
 used in the fonts installation KCM configuration screen.
 .
 This package contains the library files for the fonts installation
 UI components.

Package: libkworkspace6-6
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Plasma Workspace library
 Plasma Workspace is used as the base for Plasma Desktop, Mobile, and
 Bigscreen. It contains shared KCM configuration screens, applets as
 well as multiple libraries.
 .
 This library provides the core features of Plasma Workspace like
 display, login and session management.
 .
 This package contains the main Plasma Workspace library files.

Package: libnotificationmanager1
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Plasma Workspace notification manager library
 Plasma Workspace is used as the base for Plasma Desktop, Mobile, and
 Bigscreen. It contains shared KCM configuration screens, applets as
 well as multiple libraries.
 .
 This library is responsible for listing notifications, closing them
 and interacting with them in Plasma.
 .
 This package contains the notification manager library files.

Package: libtaskmanager6
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Plasma Workspace task manager library
 Plasma Workspace is used as the base for Plasma Desktop, Mobile, and
 Bigscreen. It contains shared KCM configuration screens, applets as
 well as multiple libraries.
 .
 The task manager library provides various abstractions for listing
 windows, startup tasks and launcher jobs.
 .
 This package contains the task manager library files.

Package: plasma-workspace
Architecture: any
Depends: default-dbus-session-bus | dbus-session-bus,
         drkonqi (>= 6.2.90~),
         frameworkintegration6,
         gdb,
         iso-codes,
         kactivitymanagerd (>= 6.2.90~),
         kded6,
         kglobalacceld (>= 6.2.90~),
         kwin-common (>= 4:6.2.90~),
         kwin-wayland (>= 4:6.2.90~),
         libkf6config-bin,
         milou (>= 4:6.2.90~),
         plasma-desktoptheme,
         plasma-integration (>= 6.2.90~),
         plasma-workspace-data (>= ${source:Version}),
         python3:any,
         qdbus-qt6,
         qml6-module-org-kde-activities,
         qml6-module-org-kde-breeze,
         qml6-module-org-kde-config,
         qml6-module-org-kde-coreaddons,
         qml6-module-org-kde-draganddrop,
         qml6-module-org-kde-kcmutils,
         qml6-module-org-kde-kholidays,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-kirigamiaddons-components,
         qml6-module-org-kde-kitemmodels,
         qml6-module-org-kde-kquickcontrols,
         qml6-module-org-kde-kquickcontrolsaddons,
         qml6-module-org-kde-ksvg,
         qml6-module-org-kde-ksysguard,
         qml6-module-org-kde-kwindowsystem,
         qml6-module-org-kde-newstuff,
         qml6-module-org-kde-notifications,
         qml6-module-org-kde-pipewire,
         qml6-module-org-kde-plasma-plasma5support,
         qml6-module-org-kde-prison,
         qml6-module-org-kde-quickcharts,
         qml6-module-org-kde-userfeedback,
         qml6-module-qt5compat-graphicaleffects,
         qml6-module-qtcore,
         qml6-module-qtpositioning,
         qml6-module-qtqml,
         qml6-module-qtqml-models,
         qml6-module-qtqml-workerscript,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-dialogs,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-shapes,
         qml6-module-qtquick-templates,
         qml6-module-qtquick-virtualkeyboard,
         qml6-module-qtquick-window,
         qt6-wayland,
         udisks2,
         x11-utils,
         x11-xserver-utils,
         ${misc:Depends},
         ${shlibs:Depends},
Provides: notification-daemon,
          x-session-manager,
Recommends: kde-cli-tools (>= 4:6.2.90~),
            kio-extras,
            kio-fuse,
            ksystemstats (>= 6.2.90~),
            plasma-workspace-doc (>= ${source:Version}),
            powerdevil (>= 4:6.2.90~),
            systemsettings,
Breaks: breeze (<< 4:5.23.90~),
        plasma-desktop (<< 4:6.4.90~),

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_TESTING=OFF -DPLASMA_X11_DEFAULT_SESSION=OFF -DWITH_X11=ON

override_dh_auto_test:
	# Disable auto tests at build time
	:

execute_after_dh_fixperms-arch:
	chmod -x $(CURDIR)/debian/plasma-workspace/usr/share/kglobalaccel/org.kde.krunner.desktop

## plasma-workspace 6.5.1+p24.04+vstable+git20251029.0837

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(plasma-workspace)
-set(PROJECT_VERSION "6.5.1")
+set(PROJECT_VERSION "6.5.2")
 string(REPLACE "." ";" VERSION_LIST ${PROJECT_VERSION})
 list(GET VERSION_LIST 0 PROJECT_VERSION_MAJOR)
 list(GET VERSION_LIST 1 PROJECT_VERSION_MINOR)

=== debian/changelog ===
plasma-workspace (4:6.5.1+p24.04+vstable+git20251029.0837-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 08:37:29 +0000

plasma-workspace (4:6.5.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 06:02:23 +0000

## plasma-workspace 6.5.1+p24.04+vstable+git20251031.0332

=== debian/changelog ===
plasma-workspace (4:6.5.1+p24.04+vstable+git20251031.0332-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 03:33:08 +0000
